path: /build/build/jasper-media-libs-4.2.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc jpeg opengl" emerge media-libs/jasper -pv -t && \
    USE="-doc jpeg opengl" emerge -j ${JOBS} --nodeps media-libs/jasper
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/jasper && luet-portage --dir /pkgdir/jasper
    media-libs/jasper && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e3cdbc28315edc9c6de25b7eab819b631a55a9be7cb7c46aa4f9d3ddeace3782
  package:
    name: jasper
    version: 4.2.4
    category: media-libs
    use_flags:
    - -doc
    - jpeg
    - opengl
    requires:
    - name: macaroni-funtoo-race6
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Implementation of the codec specified in the JPEG-2000 Part-1 standard
    uri:
    - https://www.ece.uvic.ca/~mdadams/jasper/
    license: JasPer2.0
    buildtimestamp: 2024-05-20 16:16:54.027280114 +0000 UTC m=+67.985917274
    labels:
      BDEPEND: doc? ( app-doc/doxygen ) dev-util/ninja dev-util/cmake
      DEPEND: jpeg? ( >=virtual/jpeg-0-r2:0 ) opengl? ( >=virtual/opengl-7.0-r1:0
        >=media-libs/freeglut-2.8.1:0 virtual/glu x11-libs/libXi x11-libs/libXmu )
      IUSE: doc jpeg opengl
      RDEPEND: jpeg? ( >=virtual/jpeg-0-r2:0 ) opengl? ( >=virtual/opengl-7.0-r1:0
        >=media-libs/freeglut-2.8.1:0 virtual/glu x11-libs/libXi x11-libs/libXmu )
      emerge.packages: media-libs/jasper
      kit: media-kit
      original.package.name: media-libs/jasper
      original.package.slot: "0"
      original.package.version: 4.2.4
    treedir: /build/packages
  package_dir: /pkgdir/jasper
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: be722046922309edb5cf46e0278e7103cb08835cbccb7b36fb6be90a4536e6b8
compressiontype: zstd
files:
- usr/bin/imgcmp
- usr/bin/imginfo
- usr/bin/jasper
- usr/bin/jiv
- usr/include/jasper/jas_cm.h
- usr/include/jasper/jas_compiler.h
- usr/include/jasper/jas_config.h
- usr/include/jasper/jas_debug.h
- usr/include/jasper/jas_dll.h
- usr/include/jasper/jas_export_cmake.h
- usr/include/jasper/jas_fix.h
- usr/include/jasper/jas_getopt.h
- usr/include/jasper/jas_icc.h
- usr/include/jasper/jas_image.h
- usr/include/jasper/jas_init.h
- usr/include/jasper/jas_log.h
- usr/include/jasper/jas_malloc.h
- usr/include/jasper/jas_math.h
- usr/include/jasper/jas_seq.h
- usr/include/jasper/jas_stream.h
- usr/include/jasper/jas_string.h
- usr/include/jasper/jas_thread.h
- usr/include/jasper/jas_tmr.h
- usr/include/jasper/jas_tvp.h
- usr/include/jasper/jas_types.h
- usr/include/jasper/jas_version.h
- usr/include/jasper/jasper.h
- usr/lib64/libjasper.so
- usr/lib64/libjasper.so.7
- usr/lib64/libjasper.so.7.0.0
- usr/lib64/pkgconfig/jasper.pc
- usr/share/doc/jasper-4.2.4/README.md.bz2
- usr/share/man/man1/imgcmp.1.bz2
- usr/share/man/man1/imginfo.1.bz2
- usr/share/man/man1/jasper.1.bz2
- usr/share/man/man1/jiv.1.bz2
- var/db/pkg/media-libs/jasper-4.2.4/BDEPEND
- var/db/pkg/media-libs/jasper-4.2.4/BUILD_TIME
- var/db/pkg/media-libs/jasper-4.2.4/CATEGORY
- var/db/pkg/media-libs/jasper-4.2.4/CBUILD
- var/db/pkg/media-libs/jasper-4.2.4/CFLAGS
- var/db/pkg/media-libs/jasper-4.2.4/CHOST
- var/db/pkg/media-libs/jasper-4.2.4/CONTENTS
- var/db/pkg/media-libs/jasper-4.2.4/COUNTER
- var/db/pkg/media-libs/jasper-4.2.4/CXXFLAGS
- var/db/pkg/media-libs/jasper-4.2.4/DEFINED_PHASES
- var/db/pkg/media-libs/jasper-4.2.4/DEPEND
- var/db/pkg/media-libs/jasper-4.2.4/DESCRIPTION
- var/db/pkg/media-libs/jasper-4.2.4/EAPI
- var/db/pkg/media-libs/jasper-4.2.4/FEATURES
- var/db/pkg/media-libs/jasper-4.2.4/HOMEPAGE
- var/db/pkg/media-libs/jasper-4.2.4/INHERITED
- var/db/pkg/media-libs/jasper-4.2.4/IUSE
- var/db/pkg/media-libs/jasper-4.2.4/IUSE_EFFECTIVE
- var/db/pkg/media-libs/jasper-4.2.4/KEYWORDS
- var/db/pkg/media-libs/jasper-4.2.4/LDFLAGS
- var/db/pkg/media-libs/jasper-4.2.4/LICENSE
- var/db/pkg/media-libs/jasper-4.2.4/NEEDED
- var/db/pkg/media-libs/jasper-4.2.4/PF
- var/db/pkg/media-libs/jasper-4.2.4/PROVIDES
- var/db/pkg/media-libs/jasper-4.2.4/RDEPEND
- var/db/pkg/media-libs/jasper-4.2.4/REQUIRES
- var/db/pkg/media-libs/jasper-4.2.4/SIZE
- var/db/pkg/media-libs/jasper-4.2.4/SLOT
- var/db/pkg/media-libs/jasper-4.2.4/USE
- var/db/pkg/media-libs/jasper-4.2.4/environment.bz2
- var/db/pkg/media-libs/jasper-4.2.4/jasper-4.2.4.ebuild
- var/db/pkg/media-libs/jasper-4.2.4/repository
package_cacheimage: ""
runtime:
  name: jasper
  version: 4.2.4
  category: media-libs
  use_flags:
  - -doc
  - jpeg
  - opengl
  requires:
  - name: freeglut
    version: '>=0'
    category: media-libs
  - name: jpeg
    version: '>=0'
    category: virtual
  - name: libXmu
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Implementation of the codec specified in the JPEG-2000 Part-1 standard
  uri:
  - https://www.ece.uvic.ca/~mdadams/jasper/
  license: JasPer2.0
  labels:
    BDEPEND: doc? ( app-doc/doxygen ) dev-util/ninja dev-util/cmake
    DEPEND: jpeg? ( >=virtual/jpeg-0-r2:0 ) opengl? ( >=virtual/opengl-7.0-r1:0 >=media-libs/freeglut-2.8.1:0
      virtual/glu x11-libs/libXi x11-libs/libXmu )
    IUSE: doc jpeg opengl
    RDEPEND: jpeg? ( >=virtual/jpeg-0-r2:0 ) opengl? ( >=virtual/opengl-7.0-r1:0 >=media-libs/freeglut-2.8.1:0
      virtual/glu x11-libs/libXi x11-libs/libXmu )
    emerge.packages: media-libs/jasper
    kit: media-kit
    original.package.name: media-libs/jasper
    original.package.slot: "0"
    original.package.version: 4.2.4
